GET /blockscout/transactions/{transaction_hash}/state-changes

Path Parameters

transaction_hash string required path

Responses

200 State Changes
application/json
items object[] REQUIRED
Array of:
token object
circulating_market_cap string REQUIRED
icon_url string REQUIRED
name string REQUIRED
decimals string REQUIRED
symbol string REQUIRED
address string REQUIRED
type string REQUIRED
holders string REQUIRED
exchange_rate string REQUIRED
total_supply string REQUIRED
type string REQUIRED
is_miner boolean REQUIRED
address object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
watchlist_names object[] REQUIRED
Array of:
display_name string REQUIRED
label string REQUIRED
public_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
is_verified boolean REQUIRED
balance_before string
balance_after string
token_id string
change unknown
next_page_params object REQUIRED
400 Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/transactions/string/state-changes'
const response = await fetch('https://data-api.b3.fun//blockscout/transactions/string/state-changes', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//blockscout/transactions/string/state-changes')
print(response.json())
200 Response
{
  "items": [
    {
      "token": {
        "circulating_market_cap": "83606435600.3635",
        "icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png",
        "name": "Tether USD",
        "decimals": "6",
        "symbol": "USDT",
        "address": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
        "type": "ERC-20",
        "holders": "837494234523",
        "exchange_rate": "0.99",
        "total_supply": "10000000"
      },
      "type": "coin | token",
      "is_miner": true,
      "address": {
        "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "implementation_name": "implementationName",
        "name": "contractName",
        "ens_domain_name": "domain.eth",
        "metadata": {
          "slug": "tag_slug",
          "name": "Tag name",
          "tagType": "name",
          "ordinal": 0,
          "meta": {}
        },
        "is_contract": true,
        "private_tags": [
          {
            "address_hash": {},
            "display_name": {},
            "label": {}
          }
        ],
        "watchlist_names": [
          {
            "display_name": {},
            "label": {}
          }
        ],
        "public_tags": [
          {
            "address_hash": {},
            "display_name": {},
            "label": {}
          }
        ],
        "is_verified": true
      },
      "balance_before": "100000000",
      "balance_after": "100000000",
      "token_id": null,
      "change": [
        {
          "direction": {},
          "total": {}
        }
      ]
    }
  ],
  "next_page_params": {
    "items_count": 1,
    "state_changes": null
  }
}
GET /blockscout/transactions/{transaction_hash}/state-changes
Ask a question... ⌘I